import { ElementRef, OnInit, Renderer2, OnDestroy } from '@angular/core';
import { ShowHideService } from './show-hide.service';
import * as i0 from "@angular/core";
export declare enum BtnStyle {
    Primary = "primary",
    Secondary = "secondary",
    Success = "success",
    Danger = "danger",
    Warning = "warning",
    Info = "info",
    Dark = "dark",
    Light = "light"
}
/**
 * Add a split input button to password or text input. Toggles input type between "text" and "password".
 *
 * @example
 * <show-hide-password size="sm|lg">
 * <input type="password" name=... />
 * </show-hide-password>
 */
export declare class ShowHidePasswordComponent implements OnInit, OnDestroy {
    private service;
    private elem;
    private renderer;
    private subscription;
    btnStyle: BtnStyle;
    btnOutline: boolean;
    size: 'sm' | 'lg';
    input: any;
    isHidden: boolean;
    id: string;
    faEye: import("@fortawesome/fontawesome-common-types").IconDefinition;
    faEyeSlash: import("@fortawesome/fontawesome-common-types").IconDefinition;
    constructor(service: ShowHideService, elem: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ShowHidePasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ShowHidePasswordComponent, "show-hide-password", never, { "btnStyle": "btnStyle"; "btnOutline": "btnOutline"; "size": "size"; }, {}, never, ["*"]>;
}
//# sourceMappingURL=show-hide-password.component.d.ts.map